Functions
test.cpp File Reference

GNU cgicc test application. More...

`#include <new>`
`#include <string>`
`#include <vector>`
`#include <stdexcept>`
`#include <iostream>`
`#include <cstdlib>`
`#include "cgicc/CgiDefs.h"`
`#include "cgicc/Cgicc.h"`
`#include "cgicc/HTTPHTMLHeader.h"`
`#include "cgicc/HTMLClasses.h"`
`#include "styles.h"`

Go to the source code of this file.

## Functions
void | dumpEnvironment (const CgiEnvironment &env)
void | dumpList (const Cgicc &formData)
void | showForm (const Cgicc &formData)
void | printForm (const Cgicc &cgi)
int | main (int, char **)

## Detailed Description

GNU cgicc test application.

Tests and demonstrates access of form data using the GNU cgicc library.

Definition in file test.cpp.

## Function Documentation

## ◆ dumpEnvironment()

void dumpEnvironment | ( | const CgiEnvironment & | env | ) |

Definition at line 362 of file test.cpp.

## ◆ dumpList()

void dumpList | ( | const Cgicc & | formData | ) |

Definition at line 435 of file test.cpp.

## ◆ main()

int main | ( | int | ,
|  | char ** |
| ) |  |

Definition at line 172 of file test.cpp.

## ◆ printForm()

void printForm | ( | const Cgicc & | cgi | ) |

Definition at line 62 of file test.cpp.

## ◆ showForm()

void showForm | ( | const Cgicc & | formData | ) |

Definition at line 459 of file test.cpp.